<?php

/*
 * MAIN: Advanced text form field
 *
 *   Copyright (c) provis1.de
 *   All rights reserved.
 *
 * PROJECT: Joomla plg_smartappbanner
 * VERSION: 1.0
 * CREATED: January 2014
 * AUTHOR: ProVision.1 - Alexander Knauer
 *
 * MODIFICATIONS:
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

jimport('joomla.form.fields.text');

// Translateable text  form field
class JFormFieldTFTranslate extends JFormFieldText {

    protected $type = 'tftranslate';
    
    // Return textfield with translated value
    public function getInput() {
        
        // Only translate specific defined strings
        if(strpos($this->value, 'SYSTEM_SMARTAPPBANNER'))
            $this->value = JText::_($this->value);
        
        return parent::getInput();
    }

}